project/src/beans/BuyHistoryBeans.java
package beans;

import java.text.SimpleDateFormat;
import java.util.Date;

public class BuyHistoryBeans {
	private int id;
	private int userId;
	private int totalPrice;
	private int deliveryMethodId;
	private Date buyDate;

	private String deliveryMethodName;
	private int deliveryMethodPrice;

	private int discountPrice;



	public int getDiscountPrice() {
		return discountPrice;
	}
	public void setDiscountPrice(int discountPrice) {
		this.discountPrice = discountPrice;
	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getUserId() {
		return userId;
	}
	public void setUserId(int userId) {
		this.userId = userId;
	}
	public int getTotalPrice() {
		return totalPrice;
	}
	public void setTotalPrice(int totalPrice) {
		this.totalPrice = totalPrice;
	}
	public int getDeliveryMethodId() {
		return deliveryMethodId;
	}
	public void setDeliveryMethodId(int deliveryMethodId) {
		this.deliveryMethodId = deliveryMethodId;
	}
	public Date getBuyDate() {
		return buyDate;
	}
	public void setBuyDate(Date buyDate) {
		this.buyDate = buyDate;
	}

	public String getBuyFormatDate() {
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy年MM月dd日HH時mm分");
		return sdf.format(buyDate);
	}


	public void setDeliveryMethodName(String deliveryMethodName) {
		this.deliveryMethodName = deliveryMethodName;
	}
	public String getDeliveryMethodName() {
		return deliveryMethodName;
	}

	public void setDeliveryMethodPrice(int deliveryMethodPrice) {
		this.deliveryMethodPrice = deliveryMethodPrice;
	}
	public int getDeliveryMethodPrice() {
		return deliveryMethodPrice;
	}
}

project/src/ec/BuyConfirmServlet.java
package ec;

import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.BuyHistoryBeans;
import beans.DeliveryMethodBeans;
import beans.ItemBeans;
import beans.UserBeans;
import dao.UserDao;

/**
 * Servlet implementation class BuyConfirmServlet
 */
@WebServlet("/BuyConfirmServlet")
public class BuyConfirmServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public BuyConfirmServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//ログインした人の情報をセッションから取得
		HttpSession session = request.getSession();
		UserBeans userInfo = (UserBeans) session.getAttribute("userInfo");

		UserDao userDao =new UserDao();
		UserBeans user = userDao.findbyLoginId(userInfo.getLoginId());

		//取得した情報をセット
		request.setAttribute("user", user);

		//カートの情報を取得
		ArrayList<ItemBeans> cart = (ArrayList<ItemBeans>) session.getAttribute("cart");

		//配送情報を取得
		DeliveryMethodBeans deli = (DeliveryMethodBeans)session.getAttribute("deli");

		//商品の合計金額
		int totalPrice = ItemBeans.getTotalItemPrice(cart);
		int discountPrice = 0;

		if(cart.size() >= 3) {
			discountPrice = (int) (totalPrice * 0.9);
		}

		BuyHistoryBeans buyData = new BuyHistoryBeans();

		buyData.setUserId(user.getId());
		buyData.setTotalPrice(totalPrice);
		buyData.setDiscountPrice(discountPrice);
		buyData.setDeliveryMethodId(deli.getId());
		buyData.setDeliveryMethodName(deli.getDeliveryMethodName());
		buyData.setDeliveryMethodPrice(deli.getDeliveryMethodPrice());

		session.setAttribute("buyData", buyData);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/buyConfirm.jsp");
		dispatcher.forward(request, response);

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {


	}

}

project/src/ec/BuyResultServlet.java
package ec;

import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.BuyHistoryBeans;
import beans.ItemBeans;
import beans.UserBeans;
import dao.BuyDetailDao;
import dao.BuyHistoryDao;
import dao.ItemDao;
import dao.UserDao;

/**
 * Servlet implementation class BuyResultServlet
 */
@WebServlet("/BuyResultServlet")
public class BuyResultServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public BuyResultServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//ログインした人の情報をセッションから取得
		HttpSession session = request.getSession();
		UserBeans userInfo = (UserBeans) session.getAttribute("userInfo");

		UserDao userDao =new UserDao();
		UserBeans user = userDao.findbyLoginId(userInfo.getLoginId());

		//取得した情報をセット
		request.setAttribute("user", user);

		//カートセッション
		ArrayList<ItemBeans> cart = (ArrayList<ItemBeans>) session.getAttribute("cart");

		//購入した情報
		BuyHistoryBeans buyData = (BuyHistoryBeans)session.getAttribute("buyData");

		//購入した情報をインサート
		BuyHistoryDao buyDao = new BuyHistoryDao();
		int autoNum = buyDao.insertBuy(buyData);

		//購入した情報とユーザー情報紐づけしてインサート
		for (ItemBeans cartItem : cart) {
		int buyId = autoNum;
		int itemId = cartItem.getId();
		BuyDetailDao.insertBuyDetail(buyId, itemId);

		ItemDao itemDao = new ItemDao();
		ItemBeans ib = itemDao.findItem(itemId);
		itemDao.updateStock(ib);
		}

		//カートの中身を削除する
		session.removeAttribute("cart");

	    //購入終了画面
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/buyResult.jsp");
		dispatcher.forward(request, response);

	}
}

project/src/ec/BuyServlet.java
package ec;

import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.DeliveryMethodBeans;
import beans.ItemBeans;
import beans.UserBeans;
import dao.DeliveryMethodDao;
import dao.UserDao;

/**
 * Servlet implementation class BuyServlet
 */
@WebServlet("/BuyServlet")
public class BuyServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public BuyServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//ログインした人の情報をセッションから取得
		HttpSession session = request.getSession();
		UserBeans userInfo = (UserBeans) session.getAttribute("userInfo");

		//ログインしていなかった場合ログインしてもらう
		if(userInfo == null) {
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);
			return;
		}

		//ログインIDから個人の情報を取得
		String loginId = userInfo.getLoginId();

		UserDao userDao =new UserDao();
		UserBeans user = userDao.findbyLoginId(loginId) ;

		//取得した情報をセット
		request.setAttribute("user", user);


		//カートの情報を取得
		ArrayList<ItemBeans> cart = (ArrayList<ItemBeans>) session.getAttribute("cart");

		//カートに商品が入っていない場合、ひとつ前の画面に戻す
		if(cart.size() == 0) {
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/cart.jsp");
			dispatcher.forward(request, response);
			return;
		}


		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/buy.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

		//カートのセッション確認
		HttpSession session = request.getSession();
		ArrayList<ItemBeans> cart = (ArrayList<ItemBeans>) session.getAttribute("cart");

		//選んだ配送方法を受け取る
		String id = request.getParameter("deliveryName");
		int deliId = Integer.parseInt(id);

		//選んだ配送方法を呼び出す
		DeliveryMethodDao deliDao = new DeliveryMethodDao();
		DeliveryMethodBeans deli = deliDao.findById(deliId);

		//カート情報更新
		session.setAttribute("deli", deli);

		response.sendRedirect("BuyConfirmServlet");
	}

}

project/src/ec/CartServlet.java
package ec;

import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.ItemBeans;
import beans.UserBeans;
import dao.UserDao;

/**
 * Servlet implementation class CartServlet
 */
@WebServlet("/CartServlet")
public class CartServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public CartServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//ログインした人の情報をセッションから取得
		HttpSession session = request.getSession();
		UserBeans userInfo = (UserBeans) session.getAttribute("userInfo");

		//ログインしていない人用
		if(userInfo == null) {
			//カートの情報を取得
			ArrayList<ItemBeans> cart = (ArrayList<ItemBeans>) session.getAttribute("cart");

			//カートがない場合カートを作成
			if (cart == null) {
				cart = new ArrayList<ItemBeans>();
				session.setAttribute("cart", cart);
			}

			//カートに商品が入っていない場合
			if(cart.size() == 0) {
				request.setAttribute("cartMsg", "カートには何も入っていません");
				RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/cart.jsp");
				dispatcher.forward(request, response);
				return;
			}

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/cart.jsp");
			dispatcher.forward(request, response);
		}

		//ログインIDから個人の情報を取得
		String loginId = userInfo.getLoginId();

		UserDao userDao =new UserDao();
		UserBeans user = userDao.findbyLoginId(loginId) ;

		//取得した情報をセット
		request.setAttribute("user", user);


		//カートの情報を取得
		ArrayList<ItemBeans> cart = (ArrayList<ItemBeans>) session.getAttribute("cart");

		//カートがない場合カートを作成
		if (cart == null) {
			cart = new ArrayList<ItemBeans>();
			session.setAttribute("cart", cart);
		}

		//カートに商品が入っていない場合
		if(cart.size() == 0) {
			request.setAttribute("cartMsg", "カートには何も入っていません");
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/cart.jsp");
			dispatcher.forward(request, response);
			return;
		}

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/cart.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//文字化け防止
		request.setCharacterEncoding("UTF-8");

		//ログインした人の情報をセッションから取得
		HttpSession session = request.getSession();

		//ParameterValuesで配列に入れる
		String[] deleteItemList = request.getParameterValues("delete");

		//カートの情報を取得
		ArrayList<ItemBeans> cart = (ArrayList<ItemBeans>) session.getAttribute("cart");


		if (deleteItemList != null) {
			//削除対象の商品を配列に入れていく
			for (String deleteItemId : deleteItemList) {
				//カートの中身を繰り返す
				for (ItemBeans cartItem : cart) {
					//カートの中身と削除リストに入っているもののIDが一致したときにArrayListからremove
					if (cartItem.getId() == Integer.parseInt(deleteItemId)) {
						cart.remove(cartItem);
						break;
					}
				}
			}
		}


		response.sendRedirect("CartServlet");
	}

}

project/src/ec/CategoryServlet.java
package ec;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.BCategoryBeans;
import beans.ItemBeans;
import beans.SCategoryBeans;
import dao.BCategoryDao;
import dao.SCategoryDao;

/**
 * Servlet implementation class CategoryServlet
 */
@WebServlet("/CategoryServlet")
public class CategoryServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public CategoryServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		//Bカテゴリーの情報を取り出す
		BCategoryDao  dao = new BCategoryDao();
		List<BCategoryBeans> catelist = dao.BcateAll();

		request.setAttribute("catelist", catelist);

		//URLからIDを取得
		String sid = request.getParameter("id");
		int scateid = Integer.parseInt(sid);

		//小カテゴリーの情報を取り出す
		SCategoryDao sdao = new SCategoryDao();
		SCategoryBeans scate = sdao.findScate(scateid);

		request.setAttribute("scate", scate);

		//URLのIDから商品の情報を取得-itemテーブルではs_category_id-
		List<ItemBeans> scateItemlist = sdao.findItemByscateId(scateid);
		request.setAttribute("scateItemlist", scateItemlist);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/category.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		doGet(request, response);
	}

}

project/src/ec/HomeServlet.java
package ec;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.BCategoryBeans;
import beans.ItemBeans;
import beans.UserBeans;
import dao.BCategoryDao;
import dao.ItemDao;
import dao.UserDao;

/**
 * Servlet implementation class HomeServlet
 */
@WebServlet("/HomeServlet")
public class HomeServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public HomeServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//ログインした人の情報をセッションから取得
		HttpSession session = request.getSession();
		UserBeans userInfo = (UserBeans) session.getAttribute("userInfo");

		//ログインしていない人用
		if(userInfo == null) {
			BCategoryDao dao = new BCategoryDao();
			List<BCategoryBeans> catelist = dao.BcateAll();

			request.setAttribute("catelist", catelist);

			//商品情報取り出し
			ItemDao itemDao = new ItemDao();
			List<ItemBeans> itemlist = itemDao.ItemfindAll();

			request.setAttribute("itemlist", itemlist);

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/home.jsp");
			dispatcher.forward(request, response);
			return;
		}

		//ログインIDから個人の情報を取得
		String loginId = userInfo.getLoginId();

		UserDao userDao =new UserDao();
		UserBeans user = userDao.findbyLoginId(loginId) ;

		//取得した情報をセット
		request.setAttribute("user", user);


		//カテゴリー情報取得
		BCategoryDao dao = new BCategoryDao();
		List<BCategoryBeans> catelist = dao.BcateAll();

		request.setAttribute("catelist", catelist);


		//商品情報取り出し
		ItemDao itemDao = new ItemDao();
		List<ItemBeans> itemlist = itemDao.ItemfindAll();

		request.setAttribute("itemlist", itemlist);

		//ホーム画面表示
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/home.jsp");
		dispatcher.forward(request, response);

		}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

		//任意の言葉で検索
		String itemP = request.getParameter("search");

		ItemDao itemDao = new ItemDao();
		List<ItemBeans> itemlist = itemDao.ItemfindSearch(itemP);

		request.setAttribute("itemlist", itemlist);

		//空欄や登録されていないワードの時
		if(itemlist == null) {
			response.sendRedirect("HomeServlet");
			return;
		}

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/home.jsp");
		dispatcher.forward(request, response);
	}

}

project/WebContent/WEB-INF/jsp/buyResult.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">
  <head>
    <meta charset="utf-8">
       <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
      <link href="style.css" rel="stylesheet" type="text/css" />
        <title>購入確認画面</title>
</head>

<body>
   <!--header-->
     <header>
        <nav class="navbar navbar-dark" style = "background-color: #ffc3c3;">
            <a class="navbar-brand" href="HomeServlet"><h3>shop名</h3></a>
	            	<div class="nav-link ml-auto mr-5"><a href="UserBuyListServlet?id=${user.id}">${userInfo.name}さん</a></div>
	            	<a class="mr-5" href="CartServlet"><img src="img/shopping-cart-icon-free56.png"  alt="cart"></a>
	                <a class="mr-5" href ="UserAddServlet"><button type="button" class="btn btn-info btn-lg">新規登録</button></a>
	                <a href ="LogoutServlet"><button type="button" class="btn btn-info btn-lg">ログアウト</button></a>
        </nav>
    </header>

     <div class="container">
        <div class="text-center">
            <div class="result-margin">
                <h2>商品の購入が確定しました。</h2>
            </div>
         </div>

          <div class="container">
            <div class="row  mt-5">
                <div class="col-md-6">
                    <a href="UserBuyListServlet?id=${user.id}"><button type="button" class="btn btn-light btn-block">ユーザ購入履歴へ</button></a>
                </div>
                <div class="col-md-6">
                    <a href="HomeServlet"><button type="button" class="btn btn-info btn-block">ホームへ</button></a>
                </div>
            </div>
        </div>
    </div>
    </body>
</html>

project/WebContent/WEB-INF/jsp/history.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">
  <head>
    <meta charset="utf-8">
       <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
      <link href="style.css" rel="stylesheet" type="text/css" />
        <title>注文内容詳細</title>
</head>

<body>
    <!--header-->
 		<header>
	        <nav class="navbar navbar-dark" style = "background-color: #ffc3c3;">
	            <a class="navbar-brand" href="HomeServlet"><h3>shop名</h3></a>

	            <div class="nav-link ml-auto mr-5"><a href="UserBuyListServlet?id=${peron.id}">${userInfo.name}さん</a></div>
	            	 <a class="mr-5" href="CartServlet"><img src="img/shopping-cart-icon-free56.png"  alt="cart"></a>
	                <a class="mr-5" href ="UserAddServlet"><button type="button" class="btn btn-info btn-lg">新規登録</button></a>
	                <a href ="LogoutServlet"><button type="button" class="btn btn-info btn-lg">ログアウト</button></a>
	        </nav>
       </header>


    <div class="container">
        <div class="text-center">
            <div class="title-margin">
                <h2>注文内容詳細</h2>
            </div>
         </div>
    </div>

    <div class="container">
        <table class="table">
          <thead>
            <tr class="thead-light">
              <th>購入日時</th>
              <th>配送方法</th>
              <th>合計金額</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td>${buyhisData.buyFormatDate}</td>
              <td>${buyhisData.deliveryMethodName}</td>

              <c:if test="${buyhisData.discountPrice == 0}">
              	<td>${buyhisData.totalPrice + buyhisData.deliveryMethodPrice}円</td>
              </c:if>

             <c:if test="${buyhisData.discountPrice != 0}">
              	<td>${buyhisData.discountPrice + buyhisData.deliveryMethodPrice}円</td>
              </c:if>

            </tr>
          </tbody>
        </table>
    </div>

    <div class="container">
        <div class="title-margin">
        <table class="table table-striped">
          <thead>
            <tr>
              <th>商品名</th>
              <th>価格</th>
            </tr>
          </thead>
          <tbody>
          <c:forEach var="item" items="${buyItemList}">
            <tr>
              <td>${item.itemName}</td>
              <td>${item.sellPrice}円</td>
            </tr>
           </c:forEach>

           <c:if test="${buyhisData.discountPrice != 0}">
            <tr>
              <td>キャンペーン値引き額</td>
              <td>-${buyhisData.totalPrice - buyhisData.discountPrice}円</td>
            </tr>
            </c:if>

            <tr>
              <td>${buyhisData.deliveryMethodName}</td>
              <td>${buyhisData.deliveryMethodPrice}円</td>
            </tr>
          </tbody>
        </table>
        </div>
    </div>
    </body>
</html>

project/WebContent/WEB-INF/jsp/userbuyList.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">
  <head>
    <meta charset="utf-8">
       <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
      <link href="style.css" rel="stylesheet" type="text/css" />
        <title>注文履歴画面</title>
</head>

<body>
   <!--header-->
     <header>
        <nav class="navbar navbar-dark" style = "background-color: #ffc3c3;">
            <a class="navbar-brand" href="HomeServlet"><h3>shop名</h3></a>
	            	<div class="nav-link ml-auto mr-5"><a href="UserBuyListServlet?id=${user.id}">${userInfo.name}さん</a></div>
	            	<a class="mr-5" href="CartServlet"><img src="img/shopping-cart-icon-free56.png"  alt="cart"></a>
	                <a class="mr-5" href ="UserAddServlet"><button type="button" class="btn btn-info btn-lg">新規登録</button></a>
	                <a href ="LogoutServlet"><button type="button" class="btn btn-info btn-lg">ログアウト</button></a>
        </nav>
    </header>

    <div class="container">
        <div class="text-center">
            <div class="title-margin">
                <h2>注文履歴一覧</h2>
            </div>
         </div>
    </div>

    <div class="container">
        <div class="row justify-content-md-center">
             <label for="name" class="col-md-4 "><h5>${user.name}さま</h5></label>
             <a href ="UserDetailServlet?id=${user.id}"><button type="button" class="btn btn-light mr-5">ユーザ情報詳細</button></a>
             <a href ="UserUpdateServlet?id=${user.id}"><button type="button" class="btn btn-outline-secondary">ユーザ情報更新</button></a>
        </div>

    </div>


    <div class="container title-margin">
        <table class="table"  id="table">
          <thead>
            <tr>
              <th>購入日</th>
              <th>購入金額</th>
              <th>購入内容詳細</th>
            </tr>
          </thead>
          <tbody>
          <c:forEach var="buy" items="${buylist}">
            <tr>
              <td>${buy.buyFormatDate}</td>
              <td>${buy.totalPrice + buy.deliveryMethodPrice}円</td>
              <td><a href="BuyHistoryServlet?buy_id=${buy.id}"><button type="button" class="btn btn-outline-info">注文内容詳細</button></a></td>
            </tr>
            </c:forEach>
          </tbody>
        </table>
        </div>
    </body>
</html>